import request from '@/utils/request'

// 查询检测项配置列表
export function listDetect(query) {
  return request({
    url: '/test/detect/list',
    method: 'get',
    params: query
  })
}

// 查询检测项配置详细
export function getDetect(id) {
  return request({
    url: '/test/detect/' + id,
    method: 'get'
  })
}

// 新增检测项配置
export function addDetect(data) {
  return request({
    url: '/test/detect',
    method: 'post',
    data: data
  })
}

// 修改检测项配置
export function updateDetect(data) {
  return request({
    url: '/test/detect',
    method: 'put',
    data: data
  })
}

// 删除检测项配置
export function delDetect(id) {
  return request({
    url: '/test/detect/' + id,
    method: 'delete'
  })
}
